using Framework.Utility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Project.Player
{
    [Serializable]
    public abstract class Melody
    {
        public AudioClip clip;
        public float range;

        public Melody()
        {
            this.clip = null;
        }

        public Melody(AudioClip clip, float range)
        {
            this.clip = clip;
            this.range = range;
        }

        public abstract void Sing(Transform transform);
    }
}
